rpms/spamass-milter/devel spamass-milter.spec, 1.9, 1.10 needs.rebuild, 1.1, NONE

Paul Howarth (pghmcfc) fedora-extras-commits at redhat.com
Wed Aug 30 07:51:34 UTC 2006


Author: pghmcfc

Update of /cvs/extras/rpms/spamass-milter/devel
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv29398

Modified Files:
	spamass-milter.spec 
Removed Files:
	needs.rebuild 
Log Message:
Use make/DESTDIR instead of deprecated %makeinstall macro
Expand tabs and clean up changelog entries



Index: spamass-milter.spec
===================================================================
RCS file: /cvs/extras/rpms/spamass-milter/devel/spamass-milter.spec,v
retrieving revision 1.9
retrieving revision 1.10
diff -u -r1.9 -r1.10
--- spamass-milter.spec	15 May 2006 09:40:15 -0000	1.9
+++ spamass-milter.spec	30 Aug 2006 07:51:34 -0000	1.10
@@ -1,7 +1,7 @@
 Summary:        Sendmail milter for spamassassin
 Name:           spamass-milter
 Version:        0.3.1
-Release:        3%{?dist}
+Release:        4%{?dist}
 License:        GPL
 Group:          System Environment/Daemons
 URL:            http://savannah.nongnu.org/projects/spamass-milt/
@@ -80,53 +80,53 @@
 pidfile=%{_localstatedir}/run/spamass-milter.pid
 
 start() {
-	echo -n $"Starting $desc ($prog): "
-	touch $pidfile
-	chown sa-milt:sa-milt $pidfile
-	daemon --user sa-milt %{_sbindir}/${prog}-wrapper -p $SOCKET -P $pidfile $EXTRA_FLAGS
-	RETVAL=$?
-	echo
-	[ $RETVAL -eq 0 ] && touch %{_localstatedir}/lock/subsys/spamass-milter
-	return $RETVAL
+        echo -n $"Starting $desc ($prog): "
+        touch $pidfile
+        chown sa-milt:sa-milt $pidfile
+        daemon --user sa-milt %{_sbindir}/${prog}-wrapper -p $SOCKET -P $pidfile $EXTRA_FLAGS
+        RETVAL=$?
+        echo
+        [ $RETVAL -eq 0 ] && touch %{_localstatedir}/lock/subsys/spamass-milter
+        return $RETVAL
 }
 
 stop() {
-	echo -n $"Shutting down $desc ($prog): "
-	rm -f %{_localstatedir}/lock/subsys/spamass-milter
-	killproc $prog
-	RETVAL=$?
-	echo
-	[ $RETVAL -eq 0 ] && rm -f $pidfile
-	return $RETVAL
+        echo -n $"Shutting down $desc ($prog): "
+        rm -f %{_localstatedir}/lock/subsys/spamass-milter
+        killproc $prog
+        RETVAL=$?
+        echo
+        [ $RETVAL -eq 0 ] && rm -f $pidfile
+        return $RETVAL
 }
 
 restart() {
-	stop
-	sleep 2
-	start
+        stop
+        sleep 2
+        start
 }
 
 case "$1" in
   start)
-	start
-	;;
+        start
+        ;;
   stop)
-	stop
-	;;
+        stop
+        ;;
   restart|reload)
-	restart
-	;;
+        restart
+        ;;
   condrestart)
-	[ -e %{_localstatedir}/lock/subsys/spamass-milter ] && restart
-	RETVAL=$?
-	;;
+        [ -e %{_localstatedir}/lock/subsys/spamass-milter ] && restart
+        RETVAL=$?
+        ;;
   status)
-	status $prog
-	RETVAL=$?
-	;;
+        status $prog
+        RETVAL=$?
+        ;;
   *)
-	echo $"Usage: $0 {start|stop|restart|condrestart|status}"
-	RETVAL=1
+        echo $"Usage: $0 {start|stop|restart|condrestart|status}"
+        RETVAL=1
 esac
 
 exit $RETVAL
@@ -139,7 +139,7 @@
 
 %install
 %{__rm} -rf %{buildroot}
-%makeinstall
+%{__make} DESTDIR=%{buildroot} install
 
 %{__install} -D -m0755 spamass-milter.sysv %{buildroot}%{_initrddir}/spamass-milter
 %{__install} -D -m0644 spamass-milter.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/spamass-milter
@@ -148,7 +148,7 @@
 
 %pre
 /usr/sbin/useradd -r -s /sbin/nologin -d %{_localstatedir}/run/spamass-milter \
-	-c "SpamAssassin Milter" sa-milt &>/dev/null || :
+        -c "SpamAssassin Milter" sa-milt &>/dev/null || :
 
 %post
 /sbin/chkconfig --add spamass-milter || :
@@ -176,54 +176,58 @@
 %dir %attr(-,sa-milt,sa-milt) %{_localstatedir}/run/spamass-milter
 
 %changelog
-* Mon May 15 2006 Paul Howarth <paul at city-fan.org> - 0.3.1-3
+* Wed Aug 30 2006 Paul Howarth <paul at city-fan.org> 0.3.1-4
+- Use make/DESTDIR instead of deprecated %%makeinstall macro
+- Expand tabs and clean up changelog entries
+
+* Mon May 15 2006 Paul Howarth <paul at city-fan.org> 0.3.1-3
 - Use upstream default settings (#191602)
   This change re-enables by default Subject/Content-Type header modification
   (which may have a performance impact for large messages) and disables by
   default the rejection of emails with a spam score of 15 or more. To re-enable
   these options, uncomment the line:
   EXTRA_FLAGS="-m -r 15"
-  in %{_sysconfdir}/sysconfig/spamass-milter
+  in %%{_sysconfdir}/sysconfig/spamass-milter
   
-* Sun May  7 2006 Paul Howarth <paul at city-fan.org> - 0.3.1-2
+* Sun May  7 2006 Paul Howarth <paul at city-fan.org> 0.3.1-2
 - Fix race condition in "stop" clause of initscript (#190894)
 
-* Thu Apr  6 2006 Paul Howarth <paul at city-fan.org> - 0.3.1-1
+* Thu Apr  6 2006 Paul Howarth <paul at city-fan.org> 0.3.1-1
 - Update to 0.3.1
 
-* Wed Feb 16 2006 Paul Howarth <paul at city-fan.org> - 0.3.0-9
+* Wed Feb 16 2006 Paul Howarth <paul at city-fan.org> 0.3.0-9
 - Don't use macros in command paths, hardcode them instead
 
-* Mon Aug  1 2005 Paul Howarth <paul at city-fan.org> - 0.3.0-8
+* Mon Aug  1 2005 Paul Howarth <paul at city-fan.org> 0.3.0-8
 - Run the milter in a wrapper script that restarts it if it scrashes
 
-* Thu Jun 16 2005 Paul Howarth <paul at city-fan.org> - 0.3.0-7
+* Thu Jun 16 2005 Paul Howarth <paul at city-fan.org> 0.3.0-7
 - Bump and rebuild due to transient build system failure
 
-* Wed Jun 15 2005 Paul Howarth <paul at city-fan.org> - 0.3.0-6
+* Wed Jun 15 2005 Paul Howarth <paul at city-fan.org> 0.3.0-6
 - Adjust initscript chkconfig values so it starts before sendmail
 
-* Mon Jun 13 2005 Paul Howarth <paul at city-fan.org> - 0.3.0-5
+* Mon Jun 13 2005 Paul Howarth <paul at city-fan.org> 0.3.0-5
 - Help the configure script find sendmail
 
-* Mon Jun 13 2005 Paul Howarth <paul at city-fan.org> - 0.3.0-4
+* Mon Jun 13 2005 Paul Howarth <paul at city-fan.org> 0.3.0-4
 - Bump and rebuild
 
-* Mon Jun 06 2005 Paul Howarth <paul at city-fan.org> - 0.3.0-3
+* Mon Jun 06 2005 Paul Howarth <paul at city-fan.org> 0.3.0-3
 - Use Extras standard buildroot
 - Unpack tarball quietly
 - Create account sa-milt and run the milter using that instead of root
 - Fix socket name in README
 - Initscript not %%config
 
-* Sun Jun 05 2005 Warren Togami <wtogami at redhat.com> - 0.3.0-2
+* Sun Jun 05 2005 Warren Togami <wtogami at redhat.com> 0.3.0-2
 - Extras
 
-* Tue Feb 08 2005 Dag Wieers <dag at wieers.com> - 0.3.0-1
+* Tue Feb 08 2005 Dag Wieers <dag at wieers.com> 0.3.0-1
 - Updated to release 0.3.0.
 
-* Wed Sep 01 2004 Dag Wieers <dag at wieers.com> - 0.2.0-1
+* Wed Sep 01 2004 Dag Wieers <dag at wieers.com> 0.2.0-1
 - Fixed variables in sysconfig file. (mator)
 
-* Tue Feb 17 2004 Dag Wieers <dag at wieers.com> - 0.2.0-0
+* Tue Feb 17 2004 Dag Wieers <dag at wieers.com> 0.2.0-0
 - Initial package. (using DAR)


--- needs.rebuild DELETED ---




More information about the scm-commits mailing list